Name:           python-srvlookup
Version:        3.0.0
Release:        1%{?dist}
Summary:        Service lookup using DNS SRV records

License:        BSD-3-Clause
URL:            https://github.com/gmr/srvlookup
Source:         %{pypi_source srvlookup}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
A small wrapper for dnspython to return SRV records for a given
host, protocol, and domain name as a list of namedtuples.}

%description %_description

%package -n     python3-srvlookup
Summary:        %{summary}

%description -n python3-srvlookup %_description


%prep
%autosetup -p1 -n srvlookup-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files srvlookup


%check
%pyproject_check_import


%files -n python3-srvlookup -f %{pyproject_files}
%license LICENSE

%changelog
* Wed Jan 08 2025 Neal Gompa <ngompa@fedoraproject.org> - 3.0.0-1
- Initial package

